> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Vault

> Updates an existing Vault.

#### Authentication

✅ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`Vaults:Update`: Always required.


## OpenAPI

````yaml /openapi.yaml put /vaults/{vaultId}
openapi: 3.1.0
info:
  version: 1.910.1
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /vaults/{vaultId}:
    put:
      tags:
        - Vaults
      summary: Update Vault
      description: Updates an existing Vault.
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^vlt-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
            description: Vault id.
          required: true
          description: Vault id.
          name: vaultId
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  maxLength: 200
                externalId:
                  type: string
                  maxLength: 100
              additionalProperties: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Vault'
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  schemas:
    Vault:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^vlt-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: Vault id.
          example: vlt-5vbsp-u62g1-ostmunqgds5o9tc2
        orgId:
          type: string
        name:
          type: string
        tags:
          type: array
          items:
            type: string
        externalId:
          type: string
        dateCreated:
          type: string
          format: date-time
        dateUpdated:
          type: string
          format: date-time
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/VaultAddress'
          description: The vault's addresses.
      required:
        - id
        - orgId
        - tags
        - dateCreated
        - dateUpdated
      additionalProperties: false
      description: Vault object.
    VaultAddress:
      type: object
      properties:
        walletId:
          type: string
        network:
          type: string
        address:
          type: string
      required:
        - walletId
        - network
        - address
      additionalProperties: false
      description: Vault address object.
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````